[Overview][Types][Classes][Index] | Reference for unit 'PropertyStorage' (#lcl)

# TStoredValue

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: propertystorage.pas line 43

`type TStoredValue = class(TCollectionItem)`
`protected`
`function GetDisplayName; override;` |  |
`procedure SetDisplayName(); override;` |  |
`public`
`constructor Create(); override;` |  |
`procedure Assign(); override;` |  |
`procedure Clear;` |  |
`procedure Save; virtual;` |  |
`procedure Restore; virtual;` |  |
`property StoredValues: TStoredValues; [r]` |  |
`published`
`property Name: String; [rw]` |  |
`property Value: TStoredType; [rws]` |  |
`property KeyString: String; [rw]` |  |
`property OnSave: TStoredValueEvent; [rw]` |  |
`property OnRestore: TStoredValueEvent; [rw]` |  |
`end;`

## Inheritance

`TStoredValue` |  |
`TCollectionItem`
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.